=== debian/changelog ===
dpkg (1.20.7.1) unstable; urgency=medium

  * Regenerate source package to include disappeared top-level Makefile.in.

 -- Guillem Jover <guillem@debian.org>  Sat, 09 Jan 2021 07:11:57 +0100

dpkg (1.20.7) unstable; urgency=medium

  [ Guillem Jover ]
  * libdpkg: Do not consider the database locked with a missing lock file.
    Reported by David Kalnischkies <donkult@debian.org>.
  * Documentation:
    - man: Clarify and expand information on dpkg-realpath(1) man page.
      Closes: #979564
  * Packaging:
    - Update copyright notices in debian/copyright.
    - Bump Standards-Version to 4.5.1 (no changes required).
  * Test suite:
    - On as-root mode do not use sudo if already running as root.
    - Print WARN instead of FAIL for maintscript fd leaks.

  [ Update man pages translations ]
  * German (Helge Kreutzmann).

  [ Update programs translations ]
  * German (Sven Joachim).

 -- Guillem Jover <guillem@debian.org>  Sat, 09 Jan 2021 00:59:45 +0100

dpkg (1.20.6) unstable; urgency=medium

  [ Guillem Jover ]
  * libdpkg: Fix undefined behavior in varbuf functions.
    Reported by KOLANICH <kolan_n@mail.ru>.
  * libdpkg: Fix memory leaks in tar_extractor().
  * libdpkg: Fix memory leak in trigger deferred processing.
    Reported by KOLANICH <kolan_n@mail.ru>.
  * libdpkg: Fix memory leak in filesystem treewalk node free function.
  * libdpkg: Fix memory leak in filesystem treewalk iterator.
  * libdpkg: Fix single-instance memory leak with fsys dir.
  * libdpkg: Fix short-lived memory leaks.
  * libdpkg: Reset error context errmsg after free().
  * dpkg: Fix memory leak for cidir.
    Reported by KOLANICH <kolan_n@mail.ru>.
  * dpkg: Fix short-lived memory leak in --force-help output.
    Based on a patch by KOLANICH <kolan_n@mail.ru>.
  * dpkg-deb: Fix single-instance memory leak on missing conffiles control
    file.
  * dpkg-divert: Fix short-lived memory leaks.
  * dpkg-realpath: Add new -z, --zero option.
    Requested by Johannes Schauer <josch@debian.org>.
  * dpkg-deb: Make decompression error message more descriptive.
    Closes: #968442
  * dpkg-architecture: Add a --print-format option.
    Prompted by #968963.
  * dpkg-buildpackage: Warn on known R³ values in uppercase.
    Reported by Niels Thykier <niels@thykier.net>.
  * dpkg-buildpackage: Error out on R³ "yes" value.
    Requested by Niels Thykier <niels@thykier.net>.
  * dpkg-buildpackage: Clarify R³ keyword diagnostic messages.
  * dpkg-deb, dpkg-split: Fix time handling to support 64-bit time.
  * libdpkg: Check that the ar archive time is within bounds.
  * libdpkg: Ignore not-installed packages for source related virtual fields.
    Closes: #972580
  * libdpkg: Make source version parsing more robust on missing data.
    See #972580.
  * libdpkg: Do not forget not-installed packages that are set on hold.
    Reported by David Kalnischkies <donkult@debian.org>.
  * update-alternatives: Fix memory leaks for alternative database context on
    load errors.
  * update-alternatives: Fix short-lived memory leaks for alternative structs.
  * update-alternatives: Fix memory leaks with new_choice.
  * update-alternatives: Fix short-lived memory leaks for log_file and admdir.
  * dpkg-buildflags: Add support for DFLAGS. Closes: #975896
  * dpkg-parsechanaglog: Document --file in --help output.
  * libdpkg: Fix allocation size wrap around when growing a varbuf.
  * dpkg-query: Do not print database loading progress. Closes: #977240
  * Rename taint tag to merged-usr-via-aliased-dirs.
  * dpkg-buildflags: Enable reproducible=fixfilepath by default.
    Thanks to Vagrant Cascadian <vagrant@reproducible-builds.org>.
    See https://lists.debian.org/debian-devel/2020/10/msg00222.html.
    Closes: #974087
  * start-stop-daemon: Move umask setup before any file has been created.
  * start-stop-daemon: Add a new --output option to redirect stderr and stdout.
  * dpkg-maintscript-helper: Do not pass DPKG_ROOT prefixed pathmames to
    dpkg-realpath.
  * dpkg: When removing old files check the pathname with diversion and
    instdir.
  * dpkg-realpath: Make 'link includes root prefix' error more verbose.
  * libdpkg: Make sure we do not walk on rootless trees.
  * dpkg: Fix incorrect logic around printing dependency warnings.
    Thanks to Jessica Clarke <jrtc27@debian.org>.
    Reported by Helmut Grohne <helmut@subdivi.de>.
  * Support remove-on-upgrade conffile flag via DEBIAN/conffiles.
    Based on a patch by Niels Thykier <niels@thykier.net>. Closes: #822462
  * dpkg-fsys-usrunmess: New program.
  * Perl modules:
    - Dpkg::Index: Add new item_opts option.
    - Dpkg::Exit: Fix exit handler on program termination. Closes: #966083
    - Dpkg::Changelog::Entry::Debian: Fix format string.
      Prompted by #967911.
    - Dpkg::Changelog::Parse: Add new verbose option.
      Prompted by #967911.
    - Dpkg::Changelog::Parse: Document 'label' option.
    - Dpkg::Source::Package::V1: Print a message when verifying tarball
      signatures.
    - Dpkg::Path: Fix pathname traversal check for symlinks. Closes: #971203
    - Dpkg::Source::Package: Honor no_check for directory traversal checks.
      See #971203.
    - Dpkg::Source::Package: Call syserr() instead of syserror().
      Reported by Drew Parsons <dparsons@debian.org>.
      See #849752. Closes: #976249
    - Dpkg::Path: Check first whether the files are the same by comparing
      string-wise. Closes: #849752
    - Dpkg::OpenPGP: Refactor gpg armor code into its own function.
  * Documentation:
    - man: Fix typo in --print-unset option reference.
      Reported by Ferenc Wágner <wferi@debian.org>. Closes: #966110
    - man: Clarify that dpkg-architecture uses some of its own variables.
      Closes: #966111
    - man: Fix casing and namespacing in VARIABLES definitions.
    - man: Fix typo in dpkg-source(1).
      Thanks to Paul Wise <pabs@debian.org>.
    - man: Add a reference to deb-symbols(5) in deb-src-symbols(5) DESCRIPTION.
      Prompted by #970083.

