## dpkg 1.20.9ubuntu1

=== debian/changelog ===
dpkg (1.20.9ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Change native source version/format mismatch errors into warnings
      until the dust settles on Debian bug 737634 about override options.
    - Add DPKG_UNTRANSLATED_MESSAGES environment check so that higher-level
      tools can get untranslated dpkg terminal log messages while at the
      same time having translated debconf prompts.
    - Special-case arm{el,hf} ELF objects in Shlibs/Objdump.pm for multilib.
    - Map unqualified package names of multiarch-same packages to the native
      arch instead of throwing an error, so that we don't break on upgrade
      when there are unqualified names stored in the dpkg trigger database.
    - Apply a workaround from mvo to consider ^rc packages as multiarch,
      during the dpkg consistency checks. (see LP: 1015567 and 1057367).
    - dpkg-gencontrol: Fix Package-Type override handling for ddeb support.
    - Add Zstd compression and decompression support for binary packages.
    - scripts/Dpkg/Vendor/Ubuntu.pm: set 'nocheck' in build options by default
      on Ubuntu/riscv64.  Overridable in debian/rules with
      'DEB_BUILD_OPTIONS := $(filter-out nocheck,$(DEB_BUILD_OPTIONS))'.
    - scripts/Dpkg/Vendor/Ubuntu.pm, scripts/dpkg-buildpackage.pl:
      Set 'nocheck' for riscv64 using a new 'update-buildopts' hook and make
      it effective with old style debhelper, too.
    - Dpkg::Vendor::Debian: Add new lto feature in new optimize area, taken
      from
      https://git.hadrons.org/cgit/debian/dpkg/dpkg.git/log/?h=next/1.21.x
    - dpkg-dev: Depend on lto-disabled-list.
    - dpkg-buildflags: Read package source names from lto-disabled-list,
      to build without lto optimizations. When adding a source package to the
      list, please also file a launchpad issue and tag it with 'lto'.
    - Turn on LTO optimizations on amd64, arm64, ppc64el, s390x.
      See https://wiki.ubuntu.com/ToolChain/LTO for more information.
    - scripts/Dpkg/Vendor/Ubuntu.pm: set 'noudeb' build profile by
      default. Override this by exporting DEB_BUILD_PROFILE='!noudeb' which
      will be stripped, and thus building with udebs. LP: #1884836

 -- Matthias Klose <doko@ubuntu.com>  Wed, 14 Apr 2021 12:32:22 +0200

dpkg (1.20.9) unstable; urgency=medium

  [ Guillem Jover ]
  * Test suite:
    - Pass --ignore-builtin-builddeps to dpkg-buildpackage.

 -- Guillem Jover <guillem@debian.org>  Wed, 14 Apr 2021 00:43:39 +0200

dpkg (1.20.8) unstable; urgency=medium

  [ Guillem Jover ]
  * start-stop-daemon: Open the --output file in append mode.
  * dpkg: Fix --auto-deconfigure for essential and protected during
    installation. Reported by Julian Andres Klode <jak@debian.org>.
    See #983014.
  * dpkg-realpath: Fix resolution for absolute symlinks on «/».
    Closes: #983855
  * dpkg-realpath: Fix symlink loop tracker.
  * Perl modules:
    - Test::Dpkg: Fix test data path fetching on CPAN.
    - Dpkg::Exit: Preserve exit code in END block.
  * Build system:
    - Group Test::Dpkg changelog entries into “Perl modules” section.
  * Packaging:
    - Run autopkgtest test suites in verbose mode.
  * Test suite:
    - Set PERL in the perl test suite.
    - Use gunzip instead of zcat and assume it might not be present.
    - Mock dpkg and gcc for architecture detection code.
    - Initialize DEB_BUILD_ARCH and DEB_HOST_ARCH to avoid computing them.
    - Update suppressions for cppcheck 2.4.

  [ Update man pages translations ]
  * Dutch (Frans Spiesschaert). Closes: #981884
  * German (Helge Kreutzmann).
  * Portuguese (Américo Monteiro). Closes: #980018

  [ Update programs translations ]
  * Dutch (Frans Spiesschaert). Closes: #981882

  [ Update scripts translations ]
  * German (Helge Kreutzmann). Closes: #983865

 -- Guillem Jover <guillem@debian.org>  Tue, 13 Apr 2021 22:17:05 +0200

dpkg (1.20.7.1ubuntu4) hirsute; urgency=medium

  * Turn on LTO optimizations on amd64, arm64, ppc64el, s390x.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Mar 2021 14:44:20 +0100

dpkg (1.20.7.1ubuntu3) hirsute; urgency=medium

  * scripts/Dpkg/Vendor/Ubuntu.pm: set 'noudeb' build profile by
    default. Override this by exporting DEB_BUILD_PROFILE='!noudeb' which
    will be stripped, and thus building with udebs. LP: #1884836

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 18 Feb 2021 19:58:48 +0000

dpkg (1.20.7.1ubuntu2) hirsute; urgency=medium

  * Dpkg::Vendor::Debian: Add new lto feature in new optimize area, taken
    from
    https://git.hadrons.org/cgit/debian/dpkg/dpkg.git/log/?h=next/1.21.x
  * dpkg-dev: Depend on lto-disabled-list.
  * dpkg-buildflags: Read package source names from lto-disabled-list,
    to build without lto optimizations. When adding a source package to the
    list, please also file a launchpad issue and tag it with 'lto'.
  * LTO optimizations are still turned off. To turn them on for a package
    build, append 'optimize=+lto' to DEB_BUILD_MAINT_OPTIONS before calling
    dpkg-buildflags.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jan 2021 10:00:33 +0100

dpkg (1.20.7.1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Change native source version/format mismatch errors into warnings
      until the dust settles on Debian bug 737634 about override options.
    - Add DPKG_UNTRANSLATED_MESSAGES environment check so that higher-level
      tools can get untranslated dpkg terminal log messages while at the
      same time having translated debconf prompts.
    - Special-case arm{el,hf} ELF objects in Shlibs/Objdump.pm for multilib.
    - Map unqualified package names of multiarch-same packages to the native
      arch instead of throwing an error, so that we don't break on upgrade
      when there are unqualified names stored in the dpkg trigger database.
    - Apply a workaround from mvo to consider ^rc packages as multiarch,
      during the dpkg consistency checks. (see LP: 1015567 and 1057367).

