## dpkg 1.20.9ubuntu2

=== debian/changelog ===
dpkg (1.20.9ubuntu2) impish; urgency=medium

  * build: Switch default dpkg-deb compression from xz to zstd. (LP: #1923845)
    Keep compressing dpkg.deb with xz to help bootstrapping on non-Ubuntu
    systems.

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 14 Jun 2021 16:04:10 +0200
