=== debian/rules ===
--- 
+++ 
@@ -128,7 +128,10 @@
 	dh_shlibdeps -a
 	dh_gencontrol -a
 	dh_md5sums -a
-	dh_builddeb -a
+	# Make debootstrap life easier on non-Debian based systems by
+	# compressing dpkg.deb with xz instead of zstd.
+	dh_builddeb -pdpkg -- -Zxz
+	dh_builddeb -a -Ndpkg
 
 # Put together the dpkg-dev package
 binary-indep: install
