## dpkg 1.20.9ubuntu2.2

=== debian/changelog ===
dpkg (1.20.9ubuntu2.2) impish-security; urgency=medium

  * SECURITY UPDATE: Directory traversal issue in dpkg-source
    - scripts/Dpkg/Source/Archive.pm, scripts/t/Dpkg_Source_Archive.t:
      Prevent directory traversal for in-place extracts.
    - CVE-2022-1664

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 25 May 2022 07:13:51 -0400

dpkg (1.20.9ubuntu2.1) impish; urgency=medium

  * scripts/Dpkg/Vendor/Ubuntu.pm: When checking for the correct
    maintainer field, also look for canonical.com email addresses
    (LP: #1951988)

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Thu, 02 Dec 2021 15:38:08 -0600
