=== debian/changelog ===
dpkg (1.20.10) bullseye-security; urgency=medium

  [ Guillem Jover ]
  * Perl modules:
    - Dpkg::Source::Archive: Prevent directory traversal for in-place extracts.
      Reported by Max Justicz <max@justi.cz>. Fixes CVE-2022-1664.
  * Localization:
    - Update Swedish translations.
      Thanks to Peter Krefting <peter@softwolves.pp.se>. Closes: #1007116

  [ Update man pages translations ]
  * German (Helge Kreutzmann).

 -- Guillem Jover <guillem@debian.org>  Tue, 24 May 2022 13:18:43 +0200
