## dpkg 1.20.11

=== debian/changelog ===
dpkg (1.20.11) bullseye; urgency=medium

  [ Guillem Jover ]
  * dpkg-deb: Fix unexpected end of file conditions on .deb extract.
  * libdpkg: Do not restrict source:* virtual fields to installed packages.
    Closes: #1004372
  * Perl modules:
    - Dpkg::Source::Package::V2: Always fix the permissions for upstream
      tarballs. Closes: #1012195
  * Build system:
    - Build gitlab CI images for bullseye instead of sid.

 -- Guillem Jover <guillem@debian.org>  Sat, 02 Jul 2022 05:08:46 +0200
